# Remove Guest

## zapiRemoveWaitListGuest

<mark style="color:green;">`POST`</mark> `https://{yourdomainname}.zaui.net/zapi/`

#### Request Body

| Name                                            | Type    | Description                                                                                                                        |
| ----------------------------------------------- | ------- | ---------------------------------------------------------------------------------------------------------------------------------- |
| zapiToken<mark style="color:red;">\*</mark>     | integer | Token that must be used for a reseller to communicate with the supplier system.                                                    |
| activityTime<mark style="color:red;">\*</mark>  | integer | Timeslot of activity to add guest to the waitlist for. Format: HH:MM:SS.                                                           |
| activityDate<mark style="color:red;">\*</mark>  | integer | The travel date.  Format: YYYY-MM-DD                                                                                               |
| activityId<mark style="color:red;">\*</mark>    | integer | ID of the activity.                                                                                                                |
| waitListId<mark style="color:red;">\*</mark>    | integer | Retrieved by running the [zapiGetAllWaitListGuestsByActivityIdAndDate](/zapi/zapi-calls/waitlist/single-activity-waitlist.md) call |
| methodName<mark style="color:red;">\*</mark>    | string  | The method being called.                                                                                                           |
| zapiUserId<mark style="color:red;">\*</mark>    | integer | Generated by the supplier system when a new contact is created.                                                                    |
| zapiAccountId<mark style="color:red;">\*</mark> | integer | Generated by the supplier system.                                                                                                  |

{% tabs %}
{% tab title="200: OK " %}

```xml
<?xml version="1.0" encoding="utf-8"?>
<response>
    <zapiVersion>2.1</zapiVersion>
    <error>0</error>
    <message>OK</message>
    <methodResponse>
        <methodName>zapiRemoveWaitListGuest</methodName>
        <waitListId>4</waitListId>
        <methodErrorCode>0</methodErrorCode>
        <methodErrorMessage>
            <![CDATA[Wait listed guest has been removed]]>
        </methodErrorMessage>
    </methodResponse>
</response>
```

{% endtab %}
{% endtabs %}

{% tabs %}
{% tab title="Request" %}

```xml
<request>
	<zapiToken></zapiToken>
	<zapiAccountId></zapiAccountId>
	<zapiUserId></zapiUserId>
	<zapiMethod>
		<methodName>zapiRemoveWaitListGuest</methodName>
		<waitListId></waitListId>
		<activityId></activityId>
		<activityDate></activityDate>
		<activityTime></activityTime>
	</zapiMethod>
</request>
```

{% endtab %}

{% tab title="Response" %}

```xml
<?xml version="1.0" encoding="utf-8"?>
<response>
    <zapiVersion>2.1</zapiVersion>
    <error>0</error>
    <message>OK</message>
    <methodResponse>
        <methodName>zapiRemoveWaitListGuest</methodName>
        <waitListId></waitListId>
        <methodErrorCode>0</methodErrorCode>
        <methodErrorMessage></methodErrorMessage>
    </methodResponse>
</response>
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.zaui.com/zapi/zapi-calls/waitlist/remove-guest.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
